POW(3)

NAME
pow, powf - power functions

LIBRARY
libm

SYNOPSIS
#include <math.h>
double
pow(double x, double y);
float
powf(float x, float y);

DESCRIPTION
The pow() family of functions return x raised to the power of y.

If x is negative and y is not an integer, the global variable errno is set to EDOM, and on VAX a reserved operand fault is generated. A portable application should nevertheless ensure that y is an integer value whenever x is negative.

RETURN VALUES
Upon successful completion, the described functions return x^y.

SEE ALSO
exp(3), log(3)

STANDARDS
The described functions conform to isoC-99.

HISTORY
The history of the power functions dates back to AT&T UNIX.